updateBot
Update bot
PUT
/v1/admin/bots/{id}Authorization
AuthorizationBearerBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Header parameters
x-workspace-idstringWorkspace ID
x-multiple-integrations?stringWhether the client supports bots with multiple instances of the same integration. Set to "true" to receive integration instances keyed by their alias instead of their id. This header will be removed in the future, and the API will always return multiple instances keyed by alias.
Path parameters
idstringBot ID
Request body
Bot metadata
url?string | nullURL of the Bot
authentication?enum<string>Type of the Bot authentication (`iam` or `hmac-sha256`)
Available options:
"iam","hmac-sha256"configuration?objectblocked?booleanmaxExecutionTime?integerMaximum execution time (in seconds).
alwaysAlive?booleanIndicates if the Bot should be in always alive mode
tags?objectOptional attributes of the Bot. Set to null or empty string to remove.
user?objectmessage?objectconversation?objectevents?objectactions?objectstates?objectrecurringEvents?objectintegrations?objectplugins?objectA mapping of plugin aliases to their configuration
subscriptions?objectcode?stringJavaScript code of the bot
name?stringOptional name for the bot, if not provided will be auto-generated(min length: 1)
description?stringOptional description for the bot(max length: 2000)
medias?object[]Media files associated with the Bot
secrets?objectSecrets are values available in the code via environment variables formatted with a SECRET_ prefix followed by your secret name. A secret name must respect SCREAMING_SNAKE casing.
layers?string[]type?enum<string>Available options:
"studio","adk"Response
Success
botobject